/*
THIS IS A GENERATED/BUNDLED FILE BY ESBUILD
if you want to view the source, please visit the github repository of this plugin
*/

var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};

// src/main.ts
var main_exports = {};
__export(main_exports, {
  default: () => FileHider
});
module.exports = __toCommonJS(main_exports);

// src/commands/toggleVisibility.ts
var VisibilityToggleCommand = class {
  constructor(plugin) {
    plugin.addCommand({
      id: "oa-fh-toggle-visibility",
      name: "Toggle Visibility",
      callback: () => {
        plugin.toggleVisibility();
      }
    });
  }
};

// src/settings/hiddenToggle.ts
var import_obsidian = require("obsidian");
var VisibilityToggleSetting = class {
  static create(plugin, container) {
    return new import_obsidian.Setting(container).setName(`Hidden File Visibility`).setDesc(`Toggle whether or not files and folders that are told to be hidden will be hidden or not.`).addToggle((toggle) => {
      toggle.setValue(!plugin.settings.hidden).onChange(() => {
        plugin.toggleVisibility();
      });
    });
  }
};

// src/settings/hiddenExtensions.ts
var import_obsidian2 = require("obsidian");
var HideExtensions = class {
  static create(plugin, container) {
    return new import_obsidian2.Setting(container).setName("List extensions to hide").setDesc("String with extensions splitted by space").addText((text) => {
      text.setValue(plugin.settings.hiddenExtensions).setPlaceholder("Enter your extensions to hide").onChange((value) => __async(this, null, function* () {
        plugin.settings.hiddenExtensions = value;
        yield plugin.saveSettings();
      }));
    });
  }
};

// src/main.ts
var import_obsidian5 = require("obsidian");

// src/settings/manageHiddenPaths.ts
var import_obsidian4 = require("obsidian");

// src/modals/HiddenList.ts
var import_obsidian3 = require("obsidian");
var HiddenPathsModal = class extends import_obsidian3.Modal {
  constructor(plugin) {
    super(plugin.app);
    this.plugin = plugin;
  }
  onOpen() {
    const { contentEl: content } = this;
    content.createEl(`h1`, { text: `Hidden Files and Folders` });
    content.createEl(`hr`);
    let body = content.createEl(`div`, { cls: `hidden-list-modal-body` });
    this.plugin.settings.hiddenList.forEach((path) => {
      let c = body.createEl(`div`);
      new import_obsidian3.Setting(c).setName(path).addButton((btn) => {
        btn.setIcon(`cross`).setTooltip(`Remove`).onClick((e) => {
          this.plugin.unhidePath(path);
          c.hide();
        });
      });
    });
  }
  onClose() {
    const { contentEl } = this;
    contentEl.empty();
  }
};

// src/settings/manageHiddenPaths.ts
var ManageHiddenPaths = class {
  static create(plugin, container) {
    return new import_obsidian4.Setting(container).setName(`Hidden Files and Folders`).setDesc(`Add or remove files and folders from the list that are being hidden`).addButton((b) => {
      b.setButtonText(`Manage`).onClick((event) => {
        if (!event.isTrusted) {
          return;
        }
        new HiddenPathsModal(plugin).open();
      });
    });
  }
};

// src/utils.ts
function changePathVisibility(path, hide) {
  let n = document.querySelector(`[data-path="${path}"]`);
  if (!n) {
    return;
  }
  ;
  let p = n.parentElement;
  if (hide) {
    p.style.display = `none`;
  } else {
    p.style.display = ``;
  }
  ;
}

// src/main.ts
var FileHider = class extends import_obsidian5.Plugin {
  constructor() {
    super(...arguments);
    this.settings = {
      hidden: true,
      hiddenList: [],
      hiddenExtensions: ""
    };
    this.style = null;
  }
  onload() {
    return __async(this, null, function* () {
      yield this.loadSettings();
      this.registerEvent(
        this.app.workspace.on(`file-menu`, (menu, file) => {
          if (file instanceof import_obsidian5.TFolder) {
            menu.addItem((i) => {
              if (this.settings.hiddenList.includes(file.path)) {
                i.setTitle(`Unhide Folder`).setIcon(`eye`).onClick(() => {
                  this.unhidePath(file.path);
                });
              } else {
                i.setTitle(`Hide Folder`).setIcon(`eye-off`).onClick(() => {
                  changePathVisibility(file.path, this.settings.hidden);
                  this.settings.hiddenList.push(file.path);
                  this.saveSettings();
                });
              }
              ;
            });
          } else {
            menu.addItem((i) => {
              if (this.settings.hiddenList.includes(file.path)) {
                i.setTitle(`Unhide File`).setIcon(`eye`).onClick((e) => {
                  this.unhidePath(file.path);
                });
              } else {
                i.setTitle(`Hide File`).setIcon(`eye-off`).onClick((e) => {
                  changePathVisibility(file.path, this.settings.hidden);
                  this.settings.hiddenList.push(file.path);
                  this.saveSettings();
                });
              }
              ;
            });
          }
          ;
        })
      );
      this.app.workspace.onLayoutReady(this.onLayoutReady.bind(this));
      new VisibilityToggleCommand(this);
      this.addSettingTab(new FileHiderSettingsTab(this.app, this));
    });
  }
  listenerFunction(e) {
    this.doScan();
    return e;
  }
  onLayoutReady() {
    return __async(this, null, function* () {
      yield new Promise((f) => setTimeout(f, 200));
      const folders_items = document.querySelectorAll(".tree-item .nav-folder");
      for (const folder_item of folders_items) {
        folder_item.addEventListener("click", (e) => {
          this.doScan();
        });
      }
      this.doScan();
    });
  }
  doScan() {
    setTimeout(
      () => {
        for (const path of this.settings.hiddenList) {
          changePathVisibility(path, this.settings.hidden);
        }
        ;
        const exts = [];
        for (const ex of this.settings.hiddenExtensions.trim().split(" ")) {
          exts.push(ex.toLowerCase());
        }
        const files = this.app.vault.getFiles();
        for (let i = 0; i < files.length; i++) {
          if (exts.indexOf(files[i].extension.toLowerCase()) > -1) {
            changePathVisibility(files[i].path, this.settings.hidden);
          }
        }
      },
      100
    );
  }
  /*
  Loads the config settings, with defaults created where needed.
  */
  loadSettings() {
    return __async(this, null, function* () {
      this.settings = Object.assign({}, this.settings, yield this.loadData());
    });
  }
  /* Saves the setting data */
  saveSettings() {
    return __async(this, null, function* () {
      yield this.saveData(this.settings);
    });
  }
  /*
  Enables/Disables the file visibility based. (gets the stylesheet if needed)
  */
  toggleVisibility() {
    this.settings.hidden = !this.settings.hidden;
    for (const path of this.settings.hiddenList) {
      changePathVisibility(path, this.settings.hidden);
    }
    ;
    this.saveSettings();
  }
  unhidePath(path) {
    let i = this.settings.hiddenList.indexOf(path);
    this.settings.hiddenList.splice(i, 1);
    changePathVisibility(path, false);
    this.saveSettings();
  }
};
var FileHiderSettingsTab = class extends import_obsidian5.PluginSettingTab {
  constructor(app, plugin) {
    super(app, plugin);
    this.plugin = plugin;
  }
  display() {
    const { containerEl: container } = this;
    container.empty();
    VisibilityToggleSetting.create(this.plugin, container);
    ManageHiddenPaths.create(this.plugin, container);
    HideExtensions.create(this.plugin, container);
  }
};
